Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84586 - Multiple vulnerabilities in netpbm
Summary: Multiple vulnerabilities in netpbm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: netpbm
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-19 09:19 UTC by Mark J. Cox
Modified: 2015-03-05 01:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-04 09:35:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:061 normal SHIPPED_LIVE Important: netpbm security update 2003-03-31 05:00:00 UTC

Description Mark J. Cox 2003-02-19 09:19:59 UTC
This is not public until February 28th 2003

During an audit of the NetPBM library, Al Viro and Alan Cox found a number
of bugs that are potentially exploitable. These bugs could be exploited by
creating a carefully crafted image in such a way that it executes arbitrary
code when it is processed by either an application from the netpbm-progs
package or an application that uses the vulnerable netpbm library.

One way that an attacker could exploit these vulnerabilities would be to
submit a carefully crafted image to be printed, as the LPRng print spooler
used by default in Red Hat Linux releases uses netpbm utilities to parse
various types of image files.

Comment 1 Mark J. Cox 2003-02-19 09:20:36 UTC
errata RHSA-2003:061 in progress

Comment 2 Kjartan Maraas 2003-04-03 19:53:38 UTC
This was released now, right?

Comment 3 Mark J. Cox 2003-04-04 09:35:35 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-061.html



Note You need to log in before you can comment on or make changes to this bug.